<template>
    <div class="andro_product andro_product-has-controls">
        <div class="andro_product-thumb thumb-sm">
            <a href="#">
                <img :src="'/assets/img/coffee/' + item.image" alt="product" />
            </a>
        </div>
        <div class="andro_product-body">

            <h5 class="andro_product-title">
                <a href="#">{{ item.title }}</a>
            </h5>

            <div class="andro_product-price">
                <span>{{ item.price }} azn</span>
            </div>
            <div class="andro_rating-wrapper">
                <div class="andro_rating">
                    <i class="fa fa-star active"></i>
                    <i class="fa fa-star active"></i>
                    <i class="fa fa-star active"></i>
                    <i class="fa fa-star active"></i>
                    <i class="fa fa-star"></i>
                </div>
                <span>4 Stars</span>
            </div>
        </div>

        <div class="andro_product-footer">
            <div class="andro_product-controls">
                <a @click.prevent="addToCart()">
                    <i data-toggle="tooltip" title="Add To Cart" data-placement="top" class="flaticon-shopping-basket"></i>
                </a>
                <!--<a href="#" data-toggle="modal" data-target="#quickViewModal"> <i data-toggle="tooltip" title="Quick View" data-placement="top" class="flaticon-view"></i></a>
                <a href="#"> <i data-toggle="tooltip" title="Compare" data-placement="top" class="flaticon-compare"></i></a>
                <a href="#" class="favorite"> <i data-toggle="tooltip" title="Add To Wishlist" data-placement="top" class="flaticon-like"></i></a>-->
            </div>
        </div>

    </div>
</template>

<script>
    import EventBus from "../bus";

    export default {
        name: "MenuItemComponent",

        props: ['item'],

        methods: {

            addToCart() {

                axios.get('/cart/add/' + this.item.id)
                .then((res) => {

                    EventBus.$emit('cart-updated', {
                        sum: res.data.data['sum'],
                        qty: res.data.data['qty']
                    });

                }).catch((err) => console.log(err));
            }
        }
    }
</script>
